## pg-csv 1.0.1

=== Makefile ===
SRC_DIR = src

# the `-Wno`s quiet C90 warnings
PG_CFLAGS = -std=c11 -Wextra -Wall -Werror \
	-Wno-declaration-after-statement \
	-Wno-vla \
	-Wno-long-long
ifeq ($(COVERAGE), 1)
PG_CFLAGS += --coverage
endif

ifeq ($(CC),gcc)
  GCC_MAJ := $(firstword $(subst ., ,$(shell $(CC) -dumpfullversion -dumpversion)))
  GCC_GE14 = $(shell test $(GCC_MAJ) -ge 14; echo $$?)
  ifeq ($(GCC_GE14),0)
    PG_CFLAGS += -Wmissing-variable-declarations
  endif
endif

UNAME_S := $(shell uname -s)

ifeq ($(UNAME_S),Darwin)
    SHARED_EXT  := dylib
else
    SHARED_EXT  := so
endif

EXTENSION = pg_csv
EXTVERSION = 1.0.1

DATA = $(wildcard sql/*--*.sql)

EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql $(EXTENSION).control

TESTS = $(wildcard test/sql/*.sql)
REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --use-existing --inputdir=test

MODULE_big = $(EXTENSION)
SRC = $(wildcard $(SRC_DIR)/*.c)

ifdef BUILD_DIR
OBJS = $(patsubst $(SRC_DIR)/%.c, $(BUILD_DIR)/%.o, $(SRC))
else
OBJS = $(patsubst $(SRC_DIR)/%.c, src/%.o, $(SRC)) # if no BUILD_DIR, just build on src so standard PGXS `make` works
endif

PG_CONFIG = pg_config

PG_CPPFLAGS := $(CPPFLAGS) -DEXTVERSION=\"$(EXTVERSION)\"

all: sql/$(EXTENSION)--$(EXTVERSION).sql $(EXTENSION).control

build: $(BUILD_DIR)/$(EXTENSION).$(SHARED_EXT) sql/$(EXTENSION)--$(EXTVERSION).sql $(EXTENSION).control

$(BUILD_DIR)/.gitignore: sql/$(EXTENSION)--$(EXTVERSION).sql $(EXTENSION).control
	mkdir -p $(BUILD_DIR)/extension
	cp $(EXTENSION).control $(BUILD_DIR)/extension
	cp sql/$(EXTENSION)--$(EXTVERSION).sql $(BUILD_DIR)/extension
	echo "*" > $(BUILD_DIR)/.gitignore

$(BUILD_DIR)/%.o: $(SRC_DIR)/%.c $(BUILD_DIR)/.gitignore
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

$(BUILD_DIR)/$(EXTENSION).$(SHARED_EXT): $(EXTENSION).$(SHARED_EXT)
	mv $? $@

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

$(EXTENSION).control: $(EXTENSION).control.in
	sed "s/@EXTVERSION@/$(EXTVERSION)/g" $(EXTENSION).control.in > $@

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

.PHONY: test
test:
	make installcheck

=== debian/changelog ===
pg-csv (1.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Feb 2026 19:26:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

execute_before_dh_pgxs_test:
	ln -s ../init.sql test/sql/00_init.sql

override_dh_installdocs:
	dh_installdocs --all README.*

## pg-csv 1.0.2

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 TESTS = $(wildcard test/sql/*.sql)
 REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))
-REGRESS_OPTS = --use-existing --inputdir=test
+REGRESS_OPTS = --inputdir=test
 
 MODULE_big = $(EXTENSION)
 SRC = $(wildcard $(SRC_DIR)/*.c)

=== debian/changelog ===
pg-csv (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Mar 2026 11:35:01 +0100

=== debian/control ===
Source: pg-csv
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://github.com/PostgREST/pg_csv/
Vcs-Browser: https://salsa.debian.org/postgresql/pg-csv
Vcs-Git: https://salsa.debian.org/postgresql/pg-csv.git

Package: postgresql-18-pg-csv
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Flexible CSV processing for Postgres
 Postgres has CSV support on the COPY command, but COPY has problems:
  * It uses a special protocol, so it doesn't work with other standard features
    like prepared statements, pipeline mode or pgbench.
  * Is not composable. You can't use COPY inside CTEs, subqueries, view
    definitions or as function arguments.
 .
 pg_csv offers flexible CSV processing as a solution.
  * Includes a CSV aggregate csv_agg() that composes with SQL expressions.
  * Native C extension, x2 times faster than SQL queries that try to output CSV

=== debian/watch ===
version=4
https://github.com/PostgREST/pg_csv/tags .*/v?(.*).tar.gz
